
import java.io.*;

public class Message implements Serializable {

	private String sender = null;
	private String message = null;
	private Line l = null;

	public Message(String sender, Line l){
		this.sender = sender;
		this.l = l;
	}
	public Message(String sender, String message){
		this.sender = sender;
		this.message = message;
	}

	//access methods

	public String getSender(){
		return sender;
	}
	public String getMessage(){
		return message;
	}

	public String toString(){
		return sender + ":" + message;
	}
	public Line getLine(){
	   	return l;
	}
}
