

import java.util.*;
import java.rmi.*;

class ServerTalker extends Thread {

	private Vector messages = new Vector();	
	private ChatServer cs;
	private boolean isSuspended = false;
	//private boolean volatile isSuspended = false;

	public ServerTalker(ChatServer cs, String name) {
		this.cs = cs;
		//Send a welcome message
		messages.addElement(new 
		   Message("***", name + " acaba de conectar***"));
		this.start();
	}

	public boolean addMessage(Message e){
    boolean result;
	   if(cs==null) {
	     System.out.println("Server reference is null");
	     return false;
	   }

       //resume();
	   messages.addElement(e);
	   System.out.println("mensaje "+e.getMessage()+" anyadido en ServerTalker");
	   synchronized (this) {
	   	isSuspended=false;
	    notify();	}
	   System.out.println("despertando a un hilo");
      return true;
	}

	public void run() {
    boolean isActive=true;
	    while(isActive){
	        try {
		 if(messages.isEmpty())
		 	synchronized(this) {
		 	  isSuspended= true;
		 	  System.out.println("hilo suspendido");
              while (isSuspended)
                wait();
            }		 
//			suspend();
           System.out.println("ServerTalker despertado");
	           cs.postMessage((Message)messages.elementAt(0));
	       System.out.println("mensaje posted en ServerTalker");
		   messages.removeElementAt(0);
		   System.out.println("mensaje eliminado en serverTalker");
	        } catch (RemoteException e) {
		  System.out.println("Remote Error: Server down?"+ e);
		  cs = null;
		  isActive = false;
//		  this.stop();
	        } catch (InterruptedException e) {
		  System.out.println("postMessage: " + e);
	        }
		yield();
	    }

	}
}

